%
%   NANAHXP1.M   Prints basic material data and heat exchanger info to output file
%
%   called directly from NANAHX.M
%
%   file prepared by J. R. White, UMass-Lowell (last update: Feb. 2020)

%
%   write most of input data to output file (for self documentation)
      fprintf(fout,'\n\n');
      fprintf(fout,'      Dynamic Analysis of Sodium-Sodium Heat Exchanger \n');
      fprintf(fout,'\n\n');
      fprintf(fout,'  Material Description for Problem \n');
      fprintf(fout,'    Steel Properties at 750 F:  \n');
      fprintf(fout,'      Specific Heat (BTU/lbm-F):      %12.3e \n',cpst);
      fprintf(fout,'      Density (lbm/ft^3):             %12.3e \n',rhost);
      fprintf(fout,'      Conductivity (BTU/hr-ft-F):     %12.3e \n',kst);
      fprintf(fout,'    Sodium Properties at 750 F:  \n');
      fprintf(fout,'      Specific Heat (BTU/lbm-F):      %12.3e \n',cp);
      fprintf(fout,'      Density (lbm/ft^3):             %12.3e \n',rho);
      fprintf(fout,'      Conductivity (BTU/hr-ft-F):     %12.3e \n',k);
      fprintf(fout,'      Viscosity (lbm/ft-hr):          %12.3e \n',mu);
      fprintf(fout,'      Prandtl # (dimensionless):      %12.3e \n',Pr);
      fprintf(fout,'\n');
      fprintf(fout,'  Heat Exchanger Description for Problem \n');
      fprintf(fout,'    Physical Data:  \n');
      fprintf(fout,'      Tube outside dia (ft):          %12.3e \n',Tod);
      fprintf(fout,'      Tube inside dia (ft):           %12.3e \n',Tid);
      fprintf(fout,'      Total tube surface area (ft^2): %12.3e \n',Att);
      fprintf(fout,'      Number of tubes:                %12.3e \n',Ntube);
      fprintf(fout,'      Number of tube passes:          %12.3e \n',Npass);
      fprintf(fout,'      Shell inside dia (ft):          %12.3e \n',Sid);
      fprintf(fout,'    Steady State Operating Data (from Kutbi): \n');
      fprintf(fout,'      Shell inlet temp (F):           %12.3e \n',Tsin);
      fprintf(fout,'      Shell outlet temp (F):          %12.3e \n',Tsotss);
      fprintf(fout,'      Shell mass flow rate (lbm/hr):  %12.3e \n',mdsss);
      fprintf(fout,'      Tube inlet temp (F):            %12.3e \n',Ttin);
      fprintf(fout,'      Tube outlet temp (F):           %12.3e \n',Ttotss);
      fprintf(fout,'      Tube mass flow rate (lbm/hr):   %12.3e \n',mdtss);
      fprintf(fout,'      Total heat transfer (BTU/hr):   %12.3e \n',Qss);
      fprintf(fout,'    Other Derived Parameters: \n');
      fprintf(fout,'      Tube length (ft):               %12.3e \n',L);
      fprintf(fout,'      Total vol inside shell (ft^3):  %12.3e \n',Vtot);
      fprintf(fout,'      Total length of all tubes (ft): %12.3e \n',Ltot);
      fprintf(fout,'      Vol occupied by tubes (ft^3):   %12.3e \n',Vtube);
      fprintf(fout,'      Shell side vol (ft^3):          %12.3e \n',Vs);
      fprintf(fout,'      Tube side vol (ft^3):           %12.3e \n',Vt);
      fprintf(fout,'      Tube metal vol (ft^3):          %12.3e \n',Vm);
      fprintf(fout,'      Shellside heated perimeter (ft):%12.3e \n',Phs);
      fprintf(fout,'      Shell side HT area (ft^2):      %12.3e \n',As);
      fprintf(fout,'      Tube side HT area (ft^2):       %12.3e \n',At);
      fprintf(fout,'      Metal conduction HT area (ft^2):%12.3e \n',Am);
      fprintf(fout,'\n');
%
%   end of script file
