%
%   NANAHXP2.M   Prints heat transfer information
%
%   called directly from NANAHX.M
%
%   file prepared by J. R. White, UMass-Lowell (last update: Feb. 2020)

%
%   edit some intermediate data for heat transfer calc
      if htopt == 2  
        fprintf(fout,'  Intermediate Data for Internal Calc of Heat Transfer Coeff \n');
        fprintf(fout,'\n');
        fprintf(fout,'    Shell Side Data: \n');
        fprintf(fout,'      Fluid mass flow rate (lbm/hr):,    %12.3e \n',mdsss);
        fprintf(fout,'      Flow area (ft^2):                  %12.3e \n',Afs);
        fprintf(fout,'      Fluid velocity (ft/hr):            %12.3e \n',Vels);
        fprintf(fout,'      Reynolds number:                   %12.3e \n',Res);
        fprintf(fout,'      Prandtl number:                    %12.3e \n',Pr);
        fprintf(fout,'      Peclet number:                     %12.3e \n',Pes);
        fprintf(fout,'      Nusselt number:                    %12.3e \n',Nus);
        fprintf(fout,'\n');
        fprintf(fout,'    Tube Side Data: \n');
        fprintf(fout,'      Fluid mass flow rate (lbm/hr):,    %12.3e \n',mdtss);
        fprintf(fout,'      Flow area (ft^2):                  %12.3e \n',Aft);
        fprintf(fout,'      Fluid velocity (ft/hr):            %12.3e \n',Velt);
        fprintf(fout,'      Reynolds number:                   %12.3e \n',Ret);
        fprintf(fout,'      Prandtl number:                    %12.3e \n',Pr);
        fprintf(fout,'      Peclet number:                     %12.3e \n',Pet);
        fprintf(fout,'      Nusselt number:                    %12.3e \n',Nut);
      end
%
%   edit heat transfer coefficients used
      fprintf(fout,'\n');
      fprintf(fout,'  Final Heat Transfer Coefficients Used \n');
      fprintf(fout,'    HT Coeff on Shell Side (Btu/hr-ft^2-F):  %12.3e \n',hs);
      fprintf(fout,'    HT Coeff on Tube Side (Btu/hr-ft^2-F):   %12.3e \n',ht);
%
%   end of script file
